%define	name	sbackup
%define	version	0.10.5
%define	release	%mkrel	2

Summary:        A simple backup GUI tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:          Archiving/Backup
License:        GPLv2+
URL:            http://sourceforge.net/projects/sbackup/
Source0:        %{name}-%{version}.tar.bz2
Source1:        sbackupdir.png
Source2:        sbackup-conf.png
Source3:        sbackup-restore.png
Source4:	sbackup.desktop
Source5:	srestore.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gtk2-devel
BuildRequires:  libglade2.0-devel
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:	python
Requires:	gnome-python-gnomevfs
Requires:	gnome-python

%description
SBackup is a simple backup solution intended for desktop use.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT%{_usr}

install -m 644 %SOURCE4 $RPM_BUILD_ROOT/%{_datadir}/applications/sbackup.desktop
install -m 644 %SOURCE5 $RPM_BUILD_ROOT/%{_datadir}/applications/srestore.desktop


# icons sbackupdir for the menu directory
mkdir -p $RPM_BUILD_ROOT{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/sbackupdir.png
convert -geometry 32x32 %{SOURCE1} $RPM_BUILD_ROOT%{_iconsdir}/sbackupdir.png
convert -geometry 16x16 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/sbackupdir.png

# children menu entries
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_liconsdir}/sbackup-conf.png
convert -geometry 32x32 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/sbackup-conf.png
convert -geometry 16x16 %{SOURCE2} $RPM_BUILD_ROOT%{_miconsdir}/sbackup-conf.png
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/sbackup-restore.png
convert -geometry 32x32 %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/sbackup-restore.png
convert -geometry 16x16 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/sbackup-restore.png
# replace the ugly icons
cp $RPM_BUILD_ROOT%{_iconsdir}/sbackup-conf.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp $RPM_BUILD_ROOT%{_iconsdir}/sbackup-restore.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

# consolehelper links
mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/simple-backup-config
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/simple-restore-gnome

### consolehelper entries
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
cat > $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/simple-backup-config <<EOF
USER=root
PROGRAM=%{_sbindir}/simple-backup-config
SESSION=true
FALLBACK=false
EOF

cat > $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/simple-restore-gnome <<EOF
USER=root
PROGRAM=%{_sbindir}/simple-restore-gnome
SESSION=true
FALLBACK=false
EOF


### pam entries
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/simple-backup-config <<EOF
#%PAM-1.0
auth       sufficient   pam_rootok.so
auth       required     pam_console.so
auth       include      system-auth
account    required     pam_permit.so
session    optional     pam_xauth.so
EOF

cat > $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/simple-restore-gnome <<EOF
#%PAM-1.0
auth       sufficient   pam_rootok.so
auth       required     pam_console.so
auth       include      system-auth
account    required     pam_permit.so
session    optional     pam_xauth.so
EOF


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL README TODO VERSION
%{_sbindir}/*
%{_bindir}/simple-backup-config
%{_bindir}/simple-restore-gnome
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}
%{_datadir}/%{name}/*.py
%{_datadir}/%{name}/*.glade
%config(noreplace) %{_sysconfdir}/pam.d/*
%config(noreplace) %{_sysconfdir}/security/console.apps/*


%changelog
* Fri Aug 28 2009 Texstar <texstar@gmail.com> 0.10.5-2pclos2009
- add requires gnome-python

* Thu Aug 27 2009 Texstar <texstar@gmail.com> 0.10.5-1pclos2009
- update
- fix missing dependency

* Mon Dec 08 2008 don_crissti <don_crissti@gmx.com> 0.10.4-2pclos2007
- rebuild

* Sun Aug 17 2008 don_crissti <don_crissti@gmx.com> 0.10.4-1pclos2007
- initial build for PCLinuxOS

